Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.async
Class AsyncInfo

    java.lang.Object
      |
      +--weblogic.webservice.async.AsyncInfo

public class AsyncInfo
extends java.lang.Object

Use the AsyncInfo class to pass additional information about the asynchronous client to WebLogic Server. This information includes setting a listener to listen to the results of an asynchronous call, whether the operation is being invoked using reliable SOAP messaging, and so on.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AsyncInfo()`

Method Summary
`java.lang.Object` | `getCaller()` Returns the instance of the client proxy that made the asynchronous call.
`ResultListener` | `getResultListener()` Returns the result listener object.
`boolean` | `isInOrderDelivery()` Checks whether this asynchronous invoke is an in-order reliable SOAP messaging.
`boolean` | `isReliableDelivery()` Checks whether this asynchronous invoke is to an operation that has been configured for reliable SOAP messaging.
`void` | `setReliableDelivery(boolean reliable)` Specifies that this asynchronous call is to an operation that has been configured for reliable SOAP messaging.
`void` | `setResultListener(ResultListener resultListener)` Sets the result listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncInfo

    public AsyncInfo()

Method Detail

### getCaller

    public java.lang.Object getCaller()

  Returns the instance of the client proxy that made the asynchronous call.

### getResultListener

    public ResultListener getResultListener()

  Returns the result listener object.

### setResultListener

    public void setResultListener(ResultListener resultListener)

  Sets the result listener.

  Parameters:
    `resultListener` - listener to set

### setReliableDelivery

    public void setReliableDelivery(boolean reliable)
                             throws weblogic.webservice.saf.StoreForwardException

  Specifies that this asynchronous call is to an operation that has been configured for reliable SOAP messaging.

  Parameters:
    `reliable` - if true, sets the invocation to use reliable SOAP messaging.

### isReliableDelivery

    public boolean isReliableDelivery()

  Checks whether this asynchronous invoke is to an operation that has been configured for reliable SOAP messaging.

  Returns:
    true is this invoke is reliable

### isInOrderDelivery

    public boolean isInOrderDelivery()

  Checks whether this asynchronous invoke is an in-order reliable SOAP messaging.

  Returns:
    true if this invoke is an in-order reliable SOAP messaging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD